



if not exist %LIBRARY_BIN%\libprotoc.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\libprotoc.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if exist %LIBRARY_LIB%\libprotoc-static.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_BIN%\libprotobuf.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\libprotobuf.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if exist %LIBRARY_LIB%\libprotobuf-static.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_BIN%\libprotobuf-lite.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\libprotobuf-lite.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if exist %LIBRARY_LIB%\libprotobuf-lite-static.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\cmake\protobuf\protobuf-config.cmake exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
pkg-config --print-errors --exact-version "25.3.0" protobuf
IF %ERRORLEVEL% NEQ 0 exit /B 1
pkg-config --print-errors --exact-version "25.3.0" protobuf-lite
IF %ERRORLEVEL% NEQ 0 exit /B 1
protoc --help
IF %ERRORLEVEL% NEQ 0 exit /B 1
cd cmake_test
IF %ERRORLEVEL% NEQ 0 exit /B 1
cmake -GNinja %CMAKE_ARGS% .
IF %ERRORLEVEL% NEQ 0 exit /B 1
cmake --build .
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
